<script>
  import Tile from "./components/Tile.svelte";
</script>

<section class="panel border shadow">
  <p>
    There are <strong>20</strong> tiles of each of the 5 colors, for a total of
    <strong>100</strong> tiles.
  </p>

  <h3>Goal</h3>
  <p>
    The goal of the game is to score as many points as possible by filling your
    5×5 <em>square</em> with tiles.
  </p>

  <p>
    A slot in a square row is filled by first filling all the tiles in its
    coinciding <em>pyramid</em> row with a single color.
  </p>

  <h3>On your turn</h3>
  <p>
    Take all tiles of one color from one of the circles, or the center. If you
    take from a circle, the other tiles in that circle are moved to the center.
  </p>

  <p>
    Place the tiles in a row in your <em>pyramid</em>. The row must either be
    empty, or contain tiles of the same color as the tiles you are placing.
  </p>
  <p>
    If there are no available rows, or not enough empty slots in the row, the
    left over tiles are added to your <em>penalty row</em> at the bottom of your
    board.
  </p>

  <p>
    Only the first <strong>7</strong> penalty tiles you take will count towards your
    score per round.
  </p>

  <p>
    The first person to take any tile from the center also takes the
    <em>starting player tile</em> (<Tile inline tile="s" />), and adds it to
    their penalty row. They will be the starting player next round.
  </p>

  <h3>End of the round</h3>
  <p>
    The round ends when every tile has been taken. Each player then scores
    points based on the tiles they have taken.
  </p>
  <h4>Round scoring</h4>
  <p>
    From top to bottom, for each full row in their pyramid the player fills in
    the matching color in the coinciding row in their square.
  </p>
  <p>
    When placing a tile you score points depending on how many other tiles it
    connects to. A lone tile with no neighboring tiles scores <strong>1</strong>
    point. Placing the tile next to other tiles scores points equal to the number
    of <em>connected vertical tiles</em>
    + <em>connected horizontal tiles</em>
    (the placed tile itself is included in both terms).
  </p>
  <p>
    Consequently, the maximum number of points for placing a tile is
    <strong>10</strong>, when the placed tile is the final tile in both its row
    and column.
  </p>
  <p>
    The players then lose points based on how many tiles are in their penalty
    row:
  </p>
  <div class="table-wrapper">
    <table>
      <thead>
        <tr>
          <th>Number of tiles</th>
          <th>Total penalty</th>
        </tr>
      </thead>
      <tbody>
        {#each [[1, 1], [2, 2], [3, 4], [4, 6], [5, 8], [6, 11], [7, 14]] as [noOfTiles, totalPenalty]}
          <tr>
            <td>{noOfTiles}</td>
            <td>−{totalPenalty} points</td>
          </tr>
        {/each}
      </tbody>
    </table>
  </div>

  <h3>End of the game</h3>
  <p>
    The game ends at the end of the round if any player has completed a full row
    in their square. The players then score bonus points based on the final
    state of their square:
  </p>

  <h4 class="table-header">Bonus scoring</h4>
  <div class="table-wrapper">
    <table class="bonus-table">
      <tbody>
        <tr>
          <td>Each full row</td>
          <td>2 points</td>
        </tr>
        <tr>
          <td>Each full column</td>
          <td>7 points</td>
        </tr>
        <tr>
          <td>Each completed color</td>
          <td>10 points</td>
        </tr>
      </tbody>
    </table>
  </div>

  <p>
    The player with the highest total score wins! If players are tied, the
    winner is whoever has more full rows.
  </p>
</section>

<style>
  section {
    background-color: linen;
    height: 100%;
    font-size: 85%;
    overflow-y: auto;
  }

  .table-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .table-header {
    text-align: center;
  }
  table {
    border-collapse: collapse;
  }
  thead th {
    border-bottom: solid 1px #0003;
    padding: 0 1em;
    max-width: 10em;
  }
  th,
  td {
    text-align: center;
  }

  table.bonus-table td:first-of-type {
    text-align: left;
    padding-right: 1em;
  }

  h3,
  h4 {
    font-weight: 500;
    margin-top: 1em;
    margin-bottom: 0.25em;
  }

  p,
  .table-wrapper {
    margin-top: 0;
    margin-bottom: 0.75em;
  }

  section > :first-child {
    margin-top: 0;
  }
  section > :last-child {
    margin-bottom: 0;
  }
</style>
